import json
import pathlib

import matplotlib.pyplot as plt
import numpy as np

this_dir = pathlib.Path(__file__).resolve().parent
with open(this_dir / "real.json") as f:
    data = json.load(f)

# self.h = np.array(data["h"])
V = np.array(data["V"])
Y = np.array(data["Y"])
# self.C = np.array(data["C"])
# self.xyy100 = np.array([data["x"], data["y"], data["Y"]])

idx = np.concatenate([[0], np.where(V[1:] - V[:-1])[0] + 1])
y = Y[idx]
v = V[idx]


def fun(t):
    delta3 = (6 / 29) ** 3
    out = np.array(t, dtype=float)
    is_greater = out > delta3
    out[is_greater] = 116 * np.cbrt(out[is_greater]) - 16
    out[~is_greater] = out[~is_greater] / delta3 * 8
    return out


# with open(this_dir / "lightness.json") as f:
#     v, y = json.load(f)
#
# v = np.asarray(v)
# y = np.asarray(y)

plt.plot(y / 100, v, label="Munsell data")
# v2 = 10 * np.sqrt(y)
# plt.plot(y / 100, v2 / 10, label="Priest")
# v3 = 25 * np.cbrt(y) - 17
# plt.plot(y / 100, v3 / 10, label="Wyszecki")
plt.plot(y / 100, fun(y / 100) / 10, label="CIELAB")
# d = -0.56
# v4 = (1 + d) * y / (1 + d * y)
# plt.plot(y / 100, v4, label="Jz")
plt.grid()
plt.legend()
plt.show()
